frontend/v1/app/urls.py
from django.conf.urls import url
from .views import *

#url for app
urlpatterns = [
    url(r'^job/listing/', show_jobs, name='job-listing'),
    url(r'^student/list/', show_student, name='student-list'),
    url(r'^job/forum/(?P<id>\d)/$', show_job_forum, name='job-forum'),
    url(r'^job/forum/(?P<id>\d)/post/$', add_comment, name='post-comment'),
    url(r'^job/comment/delete/(?P<id>\d)/$', delete_comment, name='delete-comment'),
	url(r'^student/profile/(?P<pk>.*)/$', show_student_profile, name='student-profile'),
    url(r'^company/logout/', auth_logout, name='company-logout'),
    url(r'^job/forum/(?P<id>\d)/apply/$', add_application, name='apply-job'),
]

frontend/v1/app_mahasiswa/urls.py
from django.conf.urls import url
from .views import *

urlpatterns = [
    url(r'^$', index_new, name='index'),
    url(r'^vacancy/$', vacancy, name='vacancy'),
    url(r'^vacancy/(?P<vacancy_id>.+)$', vacancy_detail, name='vacancy_detail'),
]

frontend/v1/ppw_final/urls.py
from django.conf.urls import url, include, static
from django.contrib import admin
from django.conf import settings
from django.views.generic.base import RedirectView

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^auth/', include('app_auth.urls', namespace='auth')),
    url(r'^company/', include('app_company.urls', namespace='company')),
    url(r'^mahasiswa/', include('app_mahasiswa.urls', namespace='mahasiswa')),
    url(r'^test/', include('app_render.urls', namespace='render')),
    url(r'^app/', include('app.urls', namespace='app')),
    url(r'^$', RedirectView.as_view(url='auth/', permanent = True), name = '$'),
]

frontend/v1/app_company/models.py
from django.db import models
from app_mahasiswa.models import User

class Company(models.Model):
    id_linkedin = models.CharField(primary_key=True, blank=True, max_length=20)

    name = models.CharField(max_length=140)
    company_type = models.CharField(max_length=140)
    web = models.CharField(max_length=140)
    description = models.CharField(max_length=500)
    specialty = models.CharField(max_length=140)

    picture_url = models.CharField(blank=True, max_length=300)
    lastseen_at = models.DateTimeField('Last Seen at', auto_now=True, editable=False)
    created_at = models.DateTimeField('Created at', auto_now_add=True, editable=False)

    def __str__(self):
        return self.name

class Job(models.Model):
    # company = models.ForeignKey(Company)

    date = models.DateTimeField(auto_now_add=True)
    title = models.CharField(max_length=140)
    description = models.TextField(max_length=500)

    created_at = models.DateTimeField(auto_now_add=True)

    class Meta:
       ordering = ['id']

class Comment(models.Model):
    # forum = models.ForeignKey(Job)
    # user = models.ForeignKey(User)

    title = models.CharField(max_length=140)
    content = models.CharField(max_length=500)

    created_at = models.DateTimeField(auto_now_add=True)

class Application(models.Model):
    # user = models.ForeignKey(User)
    # job = models.ForeignKey(Job)
    status = models.CharField(max_length=140)

    created_at = models.DateTimeField(auto_now_add=True)

frontend/v1/app_mahasiswa/models.py
from django.db import models

class User(models.Model):
    # public
    npm = models.CharField('NPM', primary_key=True, max_length=10, editable=False, unique=True)
    name = models.CharField(max_length=50)

    # private
    role = models.CharField('Role', blank=True, max_length=10)
    angkatan = models.PositiveIntegerField('Angkatan')
    is_showing_score = models.BooleanField(default=False)

    # linkedin
    picture_url = models.CharField(blank=True, max_length=300)
    id_linkedin = models.CharField(blank=True, max_length=20)
    link_linkedin = models.CharField(blank=True, max_length=100)

    lastseen_at = models.DateTimeField('Last Seen at', auto_now=True, editable=False)
    created_at = models.DateTimeField('Created at', auto_now_add=True, editable=False)

    class Meta:
        ordering = ('npm', 'name', 'created_at', 'lastseen_at')

frontend/v1/app_mahasiswa/views.py
import requests, os
from django.shortcuts import render
from django.http import HttpResponse, HttpResponseRedirect
from django.urls import reverse
from app_auth.utils import get_header, fetch

response = {}


def get_auth(request):
    try:
        jwt_token = request.COOKIES.get("jwt_")
        user_id = request.COOKIES.get("user_id")
    except Exception as e:
        return "", ""
    return jwt_token, user_id


@get_header
def index_new(request, header):
    url = 'api/profile/1/'
    api_response = fetch(url, header)
    if api_response.status_code == 401:
        return HttpResponseRedirect(reverse('auth:login'))
    api_response = api_response.json()
    api_response['user_mahasiswa']['headline'] = 'Computer Science Student at Universitas Indonesia'
    api_response['user_mahasiswa']['location'] = 'Jakarta, Depok, Cilegon'
    response['user'] = api_response
    return render(request, 'mahasiswa/index.html', response)


def vacancy(request):
    url = os.getenv('BE_URL', '') + 'api/lowongan'
    jwt_token, _ = get_auth(request)
    if jwt_token is None:
        return HttpResponseRedirect(reverse('auth:login'))
    header = {'Authorization': 'JWT ' + jwt_token}
    api_response = requests.get(url, headers=header)
    if api_response.status_code == 401:
        return HttpResponseRedirect(reverse('auth:login'))
        # return HttpResponse("Error 403: Perboden nih. Mohon login dahulu.")
    api_response = api_response.json()
    response['vacancies'] = api_response
    return render(request, 'mahasiswa/vacancy.html', response)


def vacancy_detail(request, vacancy_id):
    url = os.getenv('BE_URL', '') + 'api/lowongan/' + vacancy_id + '/'
    jwt_token, _ = get_auth(request)
    if jwt_token is None:
        return HttpResponseRedirect(reverse('auth:login'))
    header = {'Authorization': 'JWT ' + jwt_token}
    api_response = requests.get(url, headers=header)
    print(api_response)
    if api_response.status_code == 401:
        return HttpResponseRedirect(reverse('auth:login'))
        # return HttpResponse("Error 403: Perboden nih. Mohon login dahulu.")
    api_response = api_response.json()
    response['vacancy'] = api_response
    return render(request, 'mahasiswa/vacancy_detail.html', response)

frontend/v1/app_mahasiswa/templates/mahasiswa/tables/cari_mahasiswa.html
<table id="example" class="display" cellspacing="0" width="100%">
    <h2 class="title">Cari Teman</h2>
        <thead style="background: white">
            <tr>
                <th>NPM</th>
                <th>NAMA</th>
                <th>ANGKATAN</th>
                <th>KEAHLIAN</th>
            </tr>
        </thead>
        <tfoot>
            <tr>
                <th>NPM</th>
                <th>NAMA</th>
                <th>ANGKATAN</th>
                <th>KEAHLIAN</th>
            </tr>
        </tfoot>
        <tbody>
            <tr>
                <th>1606822714</th>
                <th>Kaka</th>
                <th>2016</th>
                <th>Photoshop,Python</th>
            </tr>
            <tr>
                <th>1606822716</th>
                <th>Courtois</th>
                <th>2016</th>
                <th>Java,C++</th>
            </tr>
            <tr>
                <th>1606822721</th>
                <th>Morata</th>
                <th>2016</th>
                <th>Photoshop,Python</th>
            </tr>
           <tr>
                <th>1606822722</th>
                <th>Hazard</th>
                <th>2016</th>
                <th>Photoshop,Python</th>
            </tr>
            <tr>
                <th>1606822776</th>
                <th>Willian</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
            <tr>
                <th>1606822789</th>
                <th>Marcos Alonso</th>
                <th>2016</th>
                <th>Photoshop,Python</th>
            </tr>
            <tr>
                <th>1606822732</th>
                <th>Bakayoko</th>
                <th>2016</th>
                <th>Java,C++</th>
            </tr>
            <tr>
                <th>1606822789</th>
                <th>Kante</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
           <tr>
                <th>1606822700</th>
                <th>Victor Moses</th>
                <th>2016</th>
                <th>Hardware, Erlang</th>
            </tr>
            <tr>
                <th>1606822743</th>
                <th>Pedro Rodriguez</th>
                <th>2016</th>
                <th>Hardware, Erlang</th>
            </tr><tr>
                <th>1606822734</th>
                <th>Azpilicueta</th>
                <th>2016</th>
                <th>Java,C++</th>
            </tr>
            <tr>
                <th>1606822733</th>
                <th>Loftus-Cheek</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
            <tr>
                <th>1606822788</th>
                <th>Batshuayi</th>
                <th>2016</th>
                <th>Java,C++</th>
            </tr>
           <tr>
                <th>1606822799</th>
                <th>Ivanovic</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
            <tr>
                <th>1606822707</th>
                <th>Zappacosta</th>
                <th>2016</th>
                <th>Hardware, Erlang</th>
            </tr><tr>
                <th>1606822754</th>
                <th>Diego Costa</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
            <tr>
                <th>1606822755</th>
                <th>Rudiger</th>
                <th>2016</th>
                <th>Hardware, Erlang</th>
            </tr>
            <tr>
                <th>1606822746</th>
                <th>Nemanja Matic</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
           <tr>
                <th>1606822764</th>
                <th>Sadio Mane</th>
                <th>2016</th>
                <th>Web Design, Java</th>
            </tr>
            <tr>
                <th>1606822741</th>
                <th>Muhammad Salah</th>
                <th>2016</th>
                <th>Hardware, Erlang</th>
            </tr>
        </tbody>
    </table>
    <script>
    $(document).ready(function() {
        // Setup - add a text input to each footer cell
        $('#example tfoot th').each( function () {
            var title = $(this).text();
            $(this).html( '<input type="text" placeholder="Search '+title+'" />' );
        } );
     
        // DataTable
        var table = $('#example').DataTable();
     
        // Apply the search
        table.columns().every( function () {
            var that = this;
     
            $( 'input', this.footer() ).on( 'keyup change', function () {
                if ( that.search() !== this.value ) {
                    that
                        .search( this.value )
                        .draw();
                }
            } );
        } );
    } );
</script>


<style>
    tfoot input {
        width: 100%;
        padding: 3px;
        box-sizing: border-box;
    }
</style>

frontend/v1/app_mahasiswa/templates/mahasiswa/tables/profil.html
<div class="col-md-6">
	<h2 class="title"> Profil </h2>
	<div class="panel-body">
		<div class="container" style="width: 100%">
			<div class="profile-list">
			<p><tr>
                <th>Nama</th>
                <th>{{ mahasiswa.name }}</th>
            </tr></p>
            <p><tr>
                <th>NPM</th>
                <th>{{ mahasiswa.npm }}</th>
            </tr></p>
            <p><tr>
                <th>Role</th>
                <th>{{ mahasiswa.role }}</th>
            </tr></p>
            <p><tr>
                <th>Angkatan</th>
                <th>{{ mahasiswa.angkatan }}</th>
            </tr></p>
            <p><tr>
                <th>Email</th>
                <th>{{ mahasiswa.id_Linkedin }}</th>
            </tr></p>
            <p><tr>
                <th>Profile LinkedIn</th>
                <th>{{ mahasiswa.link_linkedin }}</th>
            </tr></p>
			</div>
		</div>
	</div>
</div>

frontend/v1/app_mahasiswa/templates/mahasiswa/tables/riwayat.html
{% load staticfiles %} {% load static %}
{% block styles %}
<link rel="stylesheet" type="text/css" href="{% static 'css/riwayat.css' %}" />
{% endblock %}

<div class="col-md-6">
	<h2 class="title"> List Riwayat</h2>
	<p class="hidden">This is nilai reminder {{show_nilai.reminder}} !</p>
	<div class="list-group scroll">
		{% if riwayat_list %}
			{% for riwayat in riwayat_list %}
				<a class="list-group-item clearfix">
					<div class="col-md-10">
					{% if riwayat.kelas == None %}
					Tidak ditemukan
					{% else %}
					{{ riwayat.kelas.nm_mk_cl.nm_mk }}
					{% endif %}</div>
					<div class="col-md-2">
					{{ riwayat.nilai }}
					{% if show_nilai.reminder == False %}{{ riwayat.nilai }}
					{% elif show_nilai.reminder == True  %}Hidden{% endif %}
					</div>
				</a>
			{% endfor %}
		{% else %}
			<div class="alert alert-danger text-center">
				<strong>Opps!</strong> Riwayat mahasiswa tidak ditemukan
			</div>
		{% endif %}
	</div>
</div>

frontend/v1/app_mahasiswa/templates/mahasiswa/tables/status.html
<section class="panel-body" name="input-list" id="input-list">
	<h2 class="title">Your Application</h2>
	<div class="inner">
	    <div id="page" class="container">
	        <div id="content">
	          <div>
	            {% for i in mahasiswa.application_set.all %}
	              <nav class="first" id="each-job">
	                <h6 class="card-subtitle mb-2 text-muted"> {{ i.status }} </h6>
	                <a href="{% url 'app:job-forum' i.job.id %}" class="card-text" id="each-job-title"> {{ i.job.title }} </a>
	                <br>
	                <p class="card-text"> {{ i.job.description }} </p>
	              </nav>
	              <hr>
	            {% endfor %}
	          </div>
	        </div>
	    </div>
	</div>
</section>
<section class="panel-body" name="my-list" id="my-list">
	<div class="flex">
		{% if database %}
			{% for data in database %}
				<div class="container">
					<div class="status-list">
						<div class="status-profile">
							<div class="status-profile-left">
								<img src="http://moziru.com/images/profile-clipart-generic-user-11.png" width="50px" height="50px" alt="my-photo">
							</div>
							<div class="status-profile-right">
								{{author}}
							</div>
						</div>
						<div class="status-message">
							{{data.status}}
						</div>
						<div class="status-date-added">
							{{data.created_date}}
						</div>
						<div class="status-delete">
							<div class="status-delete-button" data-id="{{data.id}}">Delete</div>
						</div>
					</div>       
				</div>
			{% endfor %}
		{% else %}
		<div class="alert alert-danger text-center">
			<strong>Kamu belum membuat Status. </strong>
		</div>
		{% endif %}
	</div>
</section>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script type="application/javascript">
	$(function() {
		$('.status-delete-button').click(function() {
			var id = $(this).data('id')
			location.href = "/login/dashboard/delete/" + id + "/"
		});
	});
</script>